<template>
  <div class="flex">
    <div v-for="(t, i) in choice" :key="t.id">
      <div v-if="choice[i].checked" class="tag-wrapper">
        <button @click="makeChoice(i)" class="tag-active">{{ t.name }}</button>
      </div>
      <div v-else class="tag-wrapper">
        <button @click="makeChoice(i)" class="tag">{{ t.name }}</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'TagsBlock',
  data () {
    return {
      choice: [
        { id: 0, checked: true, name: 'На заказ' },
        { id: 1, checked: true, name: 'Магазин' }
      ]
    }
  },
  methods: {
    makeChoice (index) {
      if (this.choice[index].checked === true) {
        if (this.choice.every(el => el.checked === true)) {
          this.choice[index].checked = false
        }
      } else {
        this.choice[index].checked = true
      }
    }
  }
}
</script>

<style lang="sass">
  .tag
    margin: 8px
    width: 77px
    height: 27px
    background-color: transparent
    color: black
    font-style: normal
    font-weight: 600
    font-size: 14px
    line-height: 17px
    border: none
    box-shadow: none
    cursor: pointer
    outline: none
    &-active
      margin: 8px
      background-color: black
      color: #ffffff
      width: 77px
      height: 27px
      font-style: normal
      font-weight: 600
      font-size: 14px
      line-height: 17px
      border: none
      box-shadow: none
      cursor: pointer
      outline: none
    &-wrapper
      display: flex
      justify-content: center
      align-items: center
</style>
